Assign Workers to a Job OrderCopy Pagepost https://prod1.serveture.com/public-api/assign_job_workers/Assigns a list of workers to a job order.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body Paramsjob_idint32The internal identifier for the job for the job order.job_instanceint32The internal identifier for the instance of this job for the job order.ext_order_idstringThe external order identifier, which is customer’s internally used ID. If specified and sent, it will take priority over the job_id and job_instance parameters to find the job order to assign the workers to.provider_listarray of int32sA list of workers who have expressed interest that you would like to assign. This should just be a list of provider_ids (for example, [4,7,10,3]). Note: If the IDs of previously assigned workers are sent, they will be ignored; only new assignments will be processed.provider_listADD int32ext_assignment_idsarray of stringsA list of external assignment IDs, represented as strings, that can be sent to associate to each assignment. The number of assignment IDs must match the number of workers being assigned to the job order and must be in the same order that the workers are sent in the provider_list. Note: If the IDs of previously assigned workers are sent, they will be ignored; only new assignments will be processed.ext_assignment_idsADD stringworker_assignmentsobjectA list of dictionaries that will list all workers to be assigned to this job order along with any different start date (sent in attributes), end date, day list, and/or attributes. Only those items that are different should be supplied. If an item is not supplied, the job order’s base values will be used. The dictionary for each assignment should be structured as follows.worker_assignments objectHeadersAuthorizationstringrequiredDefaults to Token <place token here>The authorization token returned from the Log In endpoint.Responses 200200 400Bad Request 2XX2XXUpdated about 1 year ago Change a Job OrderGet Job Order Assignments